Crazy Eddies GUI System: CEGUI::FontManager Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions
CEGUI::FontManager Class Reference

Class providing a shared library of Font objects to the system. More...

Inheritance diagram for CEGUI::FontManager:
[legend]
Collaboration diagram for CEGUI::FontManager:
[legend]

List of all members.

## Public Types
typedef ConstBaseIterator < ObjectRegistry > | FontIterator
| ConstBaseIterator type definition.
## Public Member Functions
| FontManager ()
| Constructor.
| ~FontManager ()
| Destructor.
Font & | createFreeTypeFont (const String &font_name, const float point_size, const bool anti_aliased, const String &font_filename, const String &resource_group="", const bool auto_scaled=false, const float native_horz_res=640.0f, const float native_vert_res=480.0f, XMLResourceExistsAction action=XREA_RETURN)
| Creates a FreeType type font.
Font & | createPixmapFont (const String &font_name, const String &imageset_filename, const String &resource_group="", const bool auto_scaled=false, const float native_horz_res=640.0f, const float native_vert_res=480.0f, XMLResourceExistsAction action=XREA_RETURN)
| Creates a Pixmap type font.
void | notifyDisplaySizeChanged (const Size &size)
| Notify the FontManager that display size may have changed.
void | writeFontToStream (const String &name, OutStream &out_stream) const
| Writes a full XML font file for the specified Font to the given OutStream.
FontIterator | getIterator () const
| Return a FontManager::FontIterator object to iterate over the available Font objects.
## Protected Member Functions
void | doPostObjectAdditionAction (Font &object)
| Function called each time a new object is added to the collection.

## Detailed Description

Class providing a shared library of Font objects to the system.

The FontManager is used to create, access, and destroy Font objects. The idea is that the FontManager will function as a central repository for Font objects used within the GUI system, and that those Font objects can be accessed, via a unique name, by any interested party within the system.

## Member Function Documentation

Font& CEGUI::FontManager::createFreeTypeFont | ( | const String & | font_name,
|  | const float | point_size,
|  | const bool | anti_aliased,
|  | const String & | font_filename,
|  | const String & | resource_group = `""`,
|  | const bool | auto_scaled = `false`,
|  | const float | native_horz_res = `640.0f`,
|  | const float | native_vert_res = `480.0f`,
|  | XMLResourceExistsAction | action = `XREA_RETURN`
| ) |  |

Creates a FreeType type font.

Parameters:

  font_name | The name that the font will use within the CEGUI system.
  point_size | Specifies the point size that the font is to be rendered at.
  anti_aliased | Specifies whether the font should be rendered using anti aliasing.
  font_filename | The filename of an font file that will be used as the source for glyph images for this font.
  resource_group | The resource group identifier to use when loading the font file specified by font_filename.
  auto_scaled | Specifies whether the font imagery should be automatically scaled to maintain the same physical size (which is calculated by using the native resolution setting).
  native_horz_res | The horizontal native resolution value. This is only significant when auto scaling is enabled.
  native_vert_res | The vertical native resolution value. This is only significant when auto scaling is enabled.
  action | One of the XMLResourceExistsAction enumerated values indicating what action should be taken when a Font with the specified name already exists.

Returns:
  Reference to the newly create Font object.

Font& CEGUI::FontManager::createPixmapFont | ( | const String & | font_name,
|  | const String & | imageset_filename,
|  | const String & | resource_group = `""`,
|  | const bool | auto_scaled = `false`,
|  | const float | native_horz_res = `640.0f`,
|  | const float | native_vert_res = `480.0f`,
|  | XMLResourceExistsAction | action = `XREA_RETURN`
| ) |  |

Creates a Pixmap type font.

Parameters:

  font_name | The name that the font will use within the CEGUI system.
  imageset_filename | The filename of an imageset to load that will be used as the source for glyph images for this font. If resource_group is the special value of "*", this parameter may instead refer to the name of an already loaded Imagset.
  resource_group | The resource group identifier to use when loading the imageset file specified by imageset_filename. If this group is set to the special value of "*", then imageset_filename instead will refer to the name of an existing Imageset.
  auto_scaled | Specifies whether the font imagery should be automatically scaled to maintain the same physical size (which is calculated by using the native resolution setting).
  native_horz_res | The horizontal native resolution value. This is only significant when auto scaling is enabled.
  native_vert_res | The vertical native resolution value. This is only significant when auto scaling is enabled.
  action | One of the XMLResourceExistsAction enumerated values indicating what action should be taken when a Font with the specified name already exists.

Returns:
  Reference to the newly create Font object.

void CEGUI::FontManager::notifyDisplaySizeChanged | ( | const Size & | size | ) |

Notify the FontManager that display size may have changed.

Parameters:

  size | Size object describing the display resolution

void CEGUI::FontManager::writeFontToStream | ( | const String & | name,
|  | OutStream & | out_stream
| ) |  | const

Writes a full XML font file for the specified Font to the given OutStream.

Parameters:

  name | String holding the name of the Font to be written to the stream.
  out_stream | OutStream (std::ostream based) object where data is to be sent.